## Modifications since last major version

### 32.5.0

* Add variant selector for decorative angle brackets (U+276C...U+2771) (#2603, #2623).
* Refine shape of the following characters:
  - GREEK PHI SYMBOL (`U+03D5`).
  - CYRILLIC SMALL LETTER EF (`U+0444`).
  - ARMENIAN CAPITAL LETTER KEH (`U+0554`).
  - ARMENIAN SMALL LETTER CA (`U+056E`).
  - ARMENIAN SMALL LETTER KEH (`U+0584`).
  - VERTICAL ZIGZAG LINE (`U+299A`).
  - LEFT WIGGLY FENCE (`U+29D8`).
  - RIGHT WIGGLY FENCE (`U+29D9`).
  - LEFT DOUBLE WIGGLY FENCE (`U+29DA`).
  - RIGHT DOUBLE WIGGLY FENCE (`U+29DB`).
  - HORIZONTAL RESISTOR SEGMENT (`U+1CC09`).
  - VERTICAL RESISTOR SEGMENT (`U+1CC0A`).
  - HORIZONTAL ZIGZAG LINE (`U+1CEB0`).
* Add italic form for Cyrillic Small Letter Ghe with Upturn (`ґ`).
* Add characters:
  - ELECTRIC ARROW (`U+2301`).
  - UP ARROWHEAD (`U+2303`).
  - DOWN ARROWHEAD (`U+2304`).
  - POSITION INDICATOR (`U+2316`).
  - UP ARROWHEAD BETWEEN TWO HORIZONTAL BARS (`U+2324`).
  - OPTION KEY (`U+2325`).
  - CYLINDRICITY (`U+232D`).
  - ALL AROUND-PROFILE (`U+232E`).
  - TOTAL RUNOUT (`U+2330`).
  - DIMENSION ORIGIN (`U+2331`).
  - ENTER SYMBOL (`U+2386`).
  - ALTERNATIVE KEY SYMBOL (`U+2387`).
  - SQUARE POSITION INDICATOR (`U+2BD0`).
 * Descriptions of stylistic sets are added to font files (#2664).


### 32.4.0

* Add `curved` variant for `¶` (#2045).
* Add `top-cut` variants for `a`/`g`/`q`.
* Add `bottom-cut` variants for `b`.
* Refine shape of `Չ`.
* Make certain characters slightly wider under Quasi-Proportional. Affected characters:
  - LATIN SMALL LETTER SCHWA WITH HOOK (`U+025A`).
  - LATIN SMALL LETTER REVERSED OPEN E WITH HOOK (`U+025D`).
  - LATIN LETTER SMALL CAPITAL OE (`U+0276`).
  - LATIN LETTER SMALL CAPITAL AE (`U+1D01`).
  - LATIN LETTER SMALL CAPITAL W (`U+1D21`).
  - TELEPHONE SIGN (`U+2121`).
  - FACSIMILE SIGN (`U+213B`).
  - MODIFIER LETTER SMALL CAPITAL AA (`U+01780`).
  - MODIFIER LETTER SMALL CAPITAL OE (`U+107A3`).
* Add characters:
  - NEW SHEQEL SIGN (`U+20AA`) (#2097).
  - TURKISH LIRA SIGN (`U+20BA`) (#2097).
  - MANAT SIGN (`U+20BC`) (#2097).
  - LARI SIGN (`U+20BE`) (#2097).
  - VIEWDATA SQUARE (`U+2317`).
  - PLACE OF INTEREST SIGN (`U+2318`).
  - CURVED STEM PARAGRAPH SIGN ORNAMENT (`U+2761`).
* Add new spacing option `wide-mosaic` for custom build (#2637).


### 32.3.1

* Make certain characters slightly narrower under Quasi-Proportional. Affected characters:
  - GREEK CAPITAL LETTER HETA (`U+0370`).
  - GREEK SMALL LETTER HETA (`U+0371`).
  - LATIN CAPITAL LETTER HALF H (`U+2C75`).
  - LATIN SMALL LETTER HALF H (`U+2C76`).
  - LATIN CAPITAL LETTER REVERSED HALF H (`U+A7F5`).
  - LATIN SMALL LETTER REVERSED HALF H (`U+A7F6`).
* Fix shape of `U+276E` and `U+276E` (#2603).
* Improve serifs of Bulgarian Cyrillic Lower Zhe (`ж`).
* Add characters:
  - OPEN CENTRE CROSS (`U+271B`).
  - HEAVY OPEN CENTRE CROSS (`U+271C`).
  - MALTESE CROSS (`U+2720`).
  - FOUR TEARDROP-SPOKED ASTERISK (`U+2722`) ... FOUR CLUB-SPOKED ASTERISK (`U+2725`).
  - OPEN CENTRE ASTERISK (`U+2732`).
  - TEARDROP-SPOKED ASTERISK (`U+273B`) ... HEAVY EIGHT TEARDROP-SPOKED PROPELLER ASTERISK (`U+274B`).


### 32.3.0

* Make Cyrillic Capital/Small Letter Yn (U+A65E‥U+A65F) to follow Greek Capital Lambda (cv72) instead of V/v. (#2539)
* Make certain M-width characters slightly wider under Quasi-Proportional. Affected characters:
  - LATIN CAPITAL LETTER W (`U+0057`).
  - LATIN SMALL LETTER M (`U+006D`).
  - LATIN CAPITAL LETTER AE (`U+00C6`).
  - LATIN SMALL LETTER AE (`U+00E6`).
  - LATIN CAPITAL LIGATURE OE (`U+0152`) ... LATIN SMALL LIGATURE OE (`U+0153`).
  - LATIN CAPITAL LETTER W WITH CIRCUMFLEX (`U+0174`).
  - LATIN SMALL LETTER HV (`U+0195`).
  - LATIN CAPITAL LETTER TURNED M (`U+019C`).
  - LATIN CAPITAL LETTER AE WITH MACRON (`U+01E2`) ... LATIN SMALL LETTER AE WITH MACRON (`U+01E3`).
  - LATIN CAPITAL LETTER HWAIR (`U+01F6`).
  - LATIN CAPITAL LETTER AE WITH ACUTE (`U+01FC`) ... LATIN SMALL LETTER AE WITH ACUTE (`U+01FD`).
  - LATIN SMALL LETTER DB DIGRAPH (`U+0238`) ... LATIN SMALL LETTER QP DIGRAPH (`U+0239`).
  - LATIN SMALL LETTER TURNED M (`U+026F`) ... LATIN SMALL LETTER M WITH HOOK (`U+0271`).
  - LATIN SMALL LETTER DZ DIGRAPH (`U+02A3`) ... LATIN SMALL LETTER LZ DIGRAPH (`U+02AB`).
  - CYRILLIC CAPITAL LETTER LJE (`U+0409`) ... CYRILLIC CAPITAL LETTER NJE (`U+040A`).
  - CYRILLIC CAPITAL LETTER SHA (`U+0428`) ... CYRILLIC CAPITAL LETTER SHCHA (`U+0429`).
  - CYRILLIC SMALL LETTER EF (`U+0444`).
  - CYRILLIC SMALL LETTER SHA (`U+0448`) ... CYRILLIC SMALL LETTER SHCHA (`U+0449`).
  - CYRILLIC SMALL LETTER LJE (`U+0459`) ... CYRILLIC SMALL LETTER NJE (`U+045A`).
  - CYRILLIC CAPITAL LETTER OMEGA (`U+0460`).
  - CYRILLIC CAPITAL LETTER OMEGA WITH TITLO (`U+047C`).
  - CYRILLIC CAPITAL LETTER OT (`U+047E`).
  - CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK (`U+04A6`) ... CYRILLIC SMALL LETTER PE WITH MIDDLE HOOK (`U+04A7`).
  - CYRILLIC CAPITAL LIGATURE A IE (`U+04D4`) ... CYRILLIC SMALL LIGATURE A IE (`U+04D5`).
  - CYRILLIC CAPITAL LETTER KOMI DJE (`U+0502`) ... CYRILLIC SMALL LETTER KOMI ZJE (`U+0505`).
  - CYRILLIC CAPITAL LETTER KOMI LJE (`U+0508`) ... CYRILLIC SMALL LETTER KOMI NJE (`U+050B`).
  - CYRILLIC CAPITAL LETTER YAE (`U+0518`) ... CYRILLIC SMALL LETTER YAE (`U+0519`).
  - CYRILLIC CAPITAL LETTER WE (`U+051C`).
  - CYRILLIC CAPITAL LETTER EL WITH MIDDLE HOOK (`U+0520`) ... CYRILLIC SMALL LETTER EN WITH MIDDLE HOOK (`U+0523`).
  - CYRILLIC CAPITAL LETTER DZZHE (`U+052A`) ... CYRILLIC SMALL LETTER DZZHE (`U+052B`).
  - ARMENIAN CAPITAL LETTER XEH (`U+053D`).
  - ARMENIAN SMALL LETTER TURNED AYB (`U+0560`) ... ARMENIAN SMALL LETTER AYB (`U+0561`).
  - ARMENIAN SMALL LETTER XEH (`U+056D`).
  - ARMENIAN SMALL LETTER PEH (`U+057A`).
  - ARMENIAN SMALL LETTER TIWN (`U+057F`).
  - ARMENIAN SMALL LETTER PIWR (`U+0583`).
  - ARMENIAN SMALL LIGATURE ECH YIWN (`U+0587`).
  - CYRILLIC SMALL LETTER THREE-LEGGED TE (`U+1C85`).
  - LATIN SMALL LETTER TURNED AE (`U+1D02`).
  - LATIN SMALL LETTER TURNED OE (`U+1D14`).
  - MODIFIER LETTER CAPITAL AE (`U+1D2D`).
  - MODIFIER LETTER CAPITAL W (`U+1D42`).
  - MODIFIER LETTER SMALL TURNED AE (`U+1D46`).
  - MODIFIER LETTER SMALL M (`U+1D50`).
  - MODIFIER LETTER SMALL TURNED M (`U+1D5A`).
  - LATIN SMALL LETTER UE (`U+1D6B`).
  - LATIN SMALL LETTER M WITH MIDDLE TILDE (`U+1D6F`).
  - LATIN SMALL LETTER M WITH PALATAL HOOK (`U+1D86`).
  - LATIN SMALL LETTER SCHWA WITH RETROFLEX HOOK (`U+1D95`).
  - MODIFIER LETTER SMALL M WITH HOOK (`U+1DAC`) ... MODIFIER LETTER SMALL TURNED M WITH LONG LEG (`U+1DAD`).
  - LATIN SMALL LETTER M WITH ACUTE (`U+1E3F`).
  - LATIN SMALL LETTER M WITH DOT ABOVE (`U+1E41`).
  - LATIN SMALL LETTER M WITH DOT BELOW (`U+1E43`).
  - LATIN CAPITAL LETTER W WITH GRAVE (`U+1E80`).
  - LATIN CAPITAL LETTER W WITH ACUTE (`U+1E82`).
  - LATIN CAPITAL LETTER W WITH DIAERESIS (`U+1E84`).
  - LATIN CAPITAL LETTER W WITH DOT ABOVE (`U+1E86`).
  - LATIN CAPITAL LETTER W WITH DOT BELOW (`U+1E88`).
  - LATIN SUBSCRIPT SMALL LETTER M (`U+2098`).
  - TELEPHONE SIGN (`U+2121`).
  - FACSIMILE SIGN (`U+213B`).
  - MILL SIGN (`U+20A5`).
  - WON SIGN (`U+20A9`).
  - SMALL ROMAN NUMERAL ONE THOUSAND (`U+217F`) ... ROMAN NUMERAL ONE THOUSAND C D (`U+2180`).
  - ROMAN NUMERAL TEN THOUSAND (`U+2182`).
  - ROMAN NUMERAL ONE HUNDRED THOUSAND (`U+2188`).
  - VERY MUCH LESS-THAN (`U+22D8`) ... VERY MUCH GREATER-THAN (`U+22D9`).
  - LEFT AND RIGHT DOUBLE TURNSTILE (`U+27DA`) ... LEFT AND RIGHT TACK (`U+27DB`).
  - SHUFFLE PRODUCT (`U+29E2`).
  - LATIN CAPITAL LETTER W WITH HOOK (`U+2C72`).
  - CYRILLIC CAPITAL LETTER BROAD OMEGA (`U+A64C`).
  - CYRILLIC CAPITAL LETTER DOUBLE MONOCULAR O (`U+A66C`) ... CYRILLIC LETTER MULTIOCULAR O (`U+A66E`).
  - CYRILLIC CAPITAL LETTER ZHWE (`U+A684`) ... CYRILLIC SMALL LETTER CCHE (`U+A687`).
  - CYRILLIC CAPITAL LETTER DOUBLE O (`U+A698`) ... CYRILLIC SMALL LETTER DOUBLE O (`U+A699`).
  - LATIN CAPITAL LETTER AA (`U+A732`) ... LATIN SMALL LETTER AU (`U+A737`).
  - LATIN CAPITAL LETTER OO (`U+A74E`) ... LATIN SMALL LETTER OO (`U+A74F`).
  - LATIN CAPITAL LETTER OMEGA (`U+A7B6`).
  - MODIFIER LETTER SMALL LIGATURE OE (`U+A7F9`) ... LATIN SMALL CAPITAL LETTER TURNED M (`U+A7FA`).
  - LATIN EPIGRAPHIC LETTER ARCHAIC M (`U+A7FF`).
  - LATIN SMALL LETTER A REVERSED SCHWA (`U+AB31`).
  - LATIN SMALL LETTER M WITH CROSSED-TAIL (`U+AB3A`).
  - LATIN SMALL LETTER INVERTED OE (`U+AB40`) ... LATIN SMALL LETTER TURNED OE WITH HORIZONTAL STROKE (`U+AB42`).
  - LATIN SMALL LETTER SAKHA YAT (`U+AB60`).
  - LATIN SMALL LETTER UO (`U+AB63`).
  - LATIN SMALL LETTER DZ DIGRAPH WITH RETROFLEX HOOK (`U+AB66`) ... LATIN SMALL LETTER TS DIGRAPH WITH RETROFLEX HOOK (`U+AB67`).
  - LATIN SMALL LIGATURE FFI (`U+FB03`) ... LATIN SMALL LIGATURE ST (`U+FB06`).
  - MODIFIER LETTER SMALL AE (`U+10783`).
  - LATIN SMALL LETTER DEZH DIGRAPH WITH PALATAL HOOK (`U+1DF12`).
  - LATIN SMALL LETTER TESH DIGRAPH WITH PALATAL HOOK (`U+1DF17`).
  - MODIFIER LETTER CYRILLIC SMALL EF (`U+1E042`).
  - MODIFIER LETTER CYRILLIC SMALL SHA (`U+1E046`).
  - CYRILLIC SUBSCRIPT SMALL LETTER EF (`U+1E060`).
  - CYRILLIC SUBSCRIPT SMALL LETTER SHA (`U+1E064`).
* Add characters:
  - MARRIAGE SYMBOL (`U+26AD`) ... UNMARRIED PARTNERSHIP SYMBOL (`U+26AF`).
  - LEFT OUTER JOIN (`U+27D5`) ... FULL OUTER JOIN (`U+27D7`).
  - Z NOTATION LEFT BINDING BRACKET (`U+2989`).
  - Z NOTATION RIGHT BINDING BRACKET (`U+298A`).
  - TRIANGLE WITH DOT ABOVE (`U+29CA`).
  - TRIANGLE WITH UNDERBAR (`U+29CB`).
  - TRIANGLE WITH SERIFS AT BOTTOM (`U+29CD`).
  - N-ARY TIMES OPERATOR (`U+2A09`).
  - JOIN (`U+2A1D`).
  - LARGE LEFT TRIANGLE OPERATOR (`U+2A1E`).
  - CLOSED UNION WITH SERIFS (`U+2A4C`) ... DOUBLE SQUARE UNION (`U+2A4F`).
  - SLOPING LARGE OR (`U+2A57`).
  - SLOPING LARGE AND (`U+2A58`).
  - LOGICAL AND WITH MIDDLE STEM (`U+2A5A`).
  - LOGICAL OR WITH MIDDLE STEM (`U+2A5B`).
  - Z NOTATION DOMAIN ANTIRESTRICTION (`U+2A64`).
  - Z NOTATION RANGE ANTIRESTRICTION (`U+2A65`).
  - SMALLER THAN (`U+2AAA`) ... LARGER THAN OR EQUAL TO (`U+2AAD`).
  - CLOSED SUBSET (`U+2ACF`) ... CLOSED SUPERSET OR EQUAL TO (`U+2AD2`).
  - ANTICLOCKWISE TRIANGLE-HEADED RIGHT U-SHAPED ARROW (`U+2B8C`) ... FOUR CORNER ARROWS CIRCLING ANTICLOCKWISE (`U+2B94`).
  - DOWNWARDS TRIANGLE-HEADED ARROW WITH LONG TIP LEFTWARDS (`U+2BA0`) ... RIGHTWARDS TRIANGLE-HEADED ARROW WITH LONG TIP DOWNWARDS (`U+2BA7`).
  - UNITED SYMBOL (`U+2BFA`) ... PASSED SYMBOL (`U+2BFD`).
  - MUSICAL SYMBOL FLAT UP (`U+1D12C`) ... MUSICAL SYMBOL SHARP DOWN (`U+1D131`).
  - LATIN SMALL LETTER DEZH DIGRAPH WITH RETROFLEX HOOK (`U+1DF19`).
  - LATIN SMALL LETTER TESH DIGRAPH WITH RETROFLEX HOOK (`U+1DF1C`).


### 32.2.1

* Make certain characters slightly wider under Quasi-Proportional. Affected characters:
  - CYRILLIC CAPITAL LETTER DJE (`U+0402`).
  - CYRILLIC CAPITAL LETTER TSHE (`U+040B`).
  - CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS (`U+0468`).
  - CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS (`U+046C`).
  - CYRILLIC CAPITAL LETTER BASHKIR KA (`U+04A0`).
  - CYRILLIC SMALL LETTER BASHKIR KA (`U+04A1`).
  - CYRILLIC CAPITAL LIGATURE TE TSE (`U+04B4`).
  - CYRILLIC SMALL LIGATURE TE TSE (`U+04B5`).
  - CYRILLIC CAPITAL LETTER YERU WITH BACK YER (`U+A650`).
  - CYRILLIC SMALL LETTER YERU WITH BACK YER (`U+A651`).
  - CYRILLIC CAPITAL LETTER TCHE (`U+A692`).
  - CYRILLIC SMALL LETTER TCHE (`U+A693`).
  - LATIN EPIGRAPHIC LETTER ARCHAIC M (`U+A7FF`).
  - MODIFIER LETTER CYRILLIC SMALL YERU WITH BACK YER (`U+1E06C`).


### 32.2.0

* Make M-width small-capital characters slightly narrower under Quasi-Proportional. Affected characters:
  - LATIN LETTER SMALL CAPITAL OE (`U+0276`).
  - GREEK SMALL LETTER SAN (`U+03FB`).
  - CYRILLIC SMALL LETTER EM (`U+043C`).
  - CYRILLIC SMALL LETTER EM WITH TAIL (`U+04CE`).
  - LATIN LETTER SMALL CAPITAL AE (`U+1D01`).
  - LATIN LETTER SMALL CAPITAL M (`U+1D0D`).
  - LATIN LETTER SMALL CAPITAL W (`U+1D21`).
  - GREEK LETTER SMALL CAPITAL PSI (`U+1D2A`).
  - TELEPHONE SIGN (`U+2121`).
  - FACSIMILE SIGN (`U+213B`).
  - CYRILLIC SMALL LETTER SOFT EM (`U+A667`).
  - LATIN LETTER SMALL CAPITAL TURNED M (`U+A7FA`).
  - MODIFIER LETTER SMALL CAPITAL AA (`U+10780`).
  - MODIFIER LETTER SMALL CAPITAL OE (`U+107A3`).
  - MODIFIER LETTER CYRILLIC SMALL EM (`U+1E03B`).
* Make LATIN SMALL LIGATURE FF (`U+FB00`) ... LATIN SMALL LIGATURE FFL (`U+FB04`) slightly narrower under Quasi-Proportional.
* Optimize glyphs for Bulgarian Cyrillic Capital/Small Letter Ef (`U+0424`, `U+0444`).


### 32.1.0

* Make dense letters less outstanding (#2581).
* Optimize glyphs for Armenian Capital Ini (`U+053B`), Ken (`U+053F`), and Vew (`U+054E`).
* Remove bottom-right serif from Armenian Capital Now (`U+0546`).
* Remove top-right serif from Armenian Lower Ben (`U+0562`).
* Make serif of Armenian Lower Yi (`U+0575`) consistent with Armenian Lower Liwn (`U+056C`).
* Make hook of Armenian Lower Co (`U+0581`) consistent with Armenian Lower Yi (`U+0575`).


### 32.0.1

* Fix inconsistent serifs of `U+0284` and `U+10798` with the variants of `j` (#2569).


### 32.0.0

* Add Armenian letters:
  - ARMENIAN CAPITAL LETTER AYB (`U+0531`) ... ARMENIAN DRAM SIGN (`U+058F`).
* Add characters:
  - LEFT AND RIGHT DOUBLE TURNSTILE (`U+27DA`).
  - LEFT AND RIGHT TACK (`U+27DB`).
  - LONG RIGHT TACK (`U+27DD`).
  - LONG LEFT TACK (`U+27DE`).
  - UP ARROW THROUGH CIRCLE (`U+29BD`).
  - UPPER LEFT QUADRANT STANDING KNIGHT (`U+1CCD2`) ... LOWER RIGHT QUADRANT STANDING KNIGHT (`U+1CCD5`).
  - HORIZONTAL ZIGZAG LINE (`U+1CEB0`).
* Optimize `semi-chancery-straight-serifed` and `semi-chancery-curly-serifed` variants for `x` (`cv58`).
* Make Dotless J with Stroke and Hook (`U+0284`) have a serif under slab.

